#ifndef __PRINT_H
#define __PRINT_H

#include <stdio.h>
#include <cups/cups.h>

#define MAX_NUM_PRINTERS 10
int numPrinters;
int selectedPrinter;
cups_dest_t *printers;//[MAX_NUM_PRINTERS];
char printerStatus[MAX_NUM_PRINTERS]; //'I'=IDLE, 'B'=BUSY, 'S'=STOPPED, 'E'=ERROR
int printingJob;//the print job id with cups
int PRINTING; //0=FALSE, 1=TRUE

int printFile(char *printFileName, char *printTitle);
void freePrinters();
int findInstalledPrinters();
int checkPrintingState();
/**************************
 * PRINTING STATES:
 * IPP_JOB_PENDING
 * IPP_JOB_HELD
 * IPP_JOB_PROCESSING
 * IPP_JOB_STOPPED
 * IPP_JOB_CANCELED
 * IPP_JOB_ABORTED
 * IPP_JOB_COMPLETED
 * ************************/
void showPrintDialogBox();

#endif